---
title: NDEFRecord
slug: Web/API/NDEFRecord
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>NDEFRecord</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_NFC_API">Web NFC API</a> is an abstract interface that represents data that can be read from or written to compatible NFC devices, e.g. NFC tags supporting NDEF.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("NDEFRecord.NDEFRecord", "NDEFRecord()")}} {{Experimental_Inline}}</dt>
 <dd>Returns a new <code>NDEFRecord</code> with configuration specified in the parameters or default ones if no parameters are specified.</dd>
</dl>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{DOMxRef("NDEFRecord.recordType")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents the NDEF record type.</dd>
 <dt>{{DOMxRef("NDEFRecord.mediaType")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents the {{Glossary("MIME type")}} of the NDEF record payload.</dd>
 <dt>{{DOMxRef("NDEFRecord.id")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents the identificator of the record.<br>
 <strong>Note:</strong> the uniqueness of the identifier is enforced only by the generator of the record.</dd>
 <dt>{{DOMxRef("NDEFRecord.data")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents the payload of the record.</dd>
 <dt>{{DOMxRef("NDEFRecord.encoding")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents the encoding name used for encoding the payload in the case it is textual data.</dd>
 <dt>{{DOMxRef("NDEFRecord.lang")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents a language tag of the content, if it was encoded.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("NDEFRecord.toRecords", "NDEFRecord.toRecords()")}} {{Experimental_Inline}}</dt>
 <dd>Coverts {{DOMxRef("NDEFRecord.data")}} to sequence of records.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord">Web NFC, NDEFRecord</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord")}}</p>
